ProductService
Stored in the productservices collection. createdAt and updatedAt are maintained automatically.
Returned by GET /product-service, POST /product-service, GET /product-service/:id, PUT /product-service/:id.
| Field | Type | Notes |
|---|---|---|
fields | object[] | default [] |
fields._id | ObjectId -> CustomField | required |
fields.value | any | |
customFieldsMap | map | default {} |
name | string | required |
description | string | |
type | string | required · one of Product, Service |
category | string | one of Service, Software, Hardware, Negotiation, Subscription, License, Consulting, Maintenance and 5 more |
price.currency | string | |
price.amount | number | |
skuNumber | string | |
image | ObjectId -> File | |
url | string | |
company | ObjectId -> Company | required |
createdBy | ObjectId -> Member | |
createdBySnapshot | object | |
createdBySnapshot.member | ObjectId | |
createdBySnapshot.name | string | |
createdBySnapshot.email | string | |
updatedBy | ObjectId -> Member | |
updatedBySnapshot | object | |
updatedBySnapshot.member | ObjectId | |
updatedBySnapshot.name | string | |
updatedBySnapshot.email | string | |
searchText | string | |
_id | ObjectId | default "6a95712f932657988a91c0cb" |
createdAt | date | set once |
updatedAt | date |